package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT416AbsCreator;

public class Tag21CCreator extends AbsTagCreate {

    private MT416AbsCreator mt416SequenceBCreator;

    public Tag21CCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416SequenceBCreator= (MT416AbsCreator) absMTCreator;
    }

    public void creator() {
        String tag21CValue = mt416SequenceBCreator.getPrincipalRef();
        mt416SequenceBCreator.set("21C", tag21CValue);
    }
}
